<template>
  <div>
    <!-- Content -->
    <div style="text-align:center;">
      <h2 class="divider-style">
        <span>Site<br /></span>
      </h2>
    </div>

    <h1>Date tehnice</h1>
    <div class="container" style="height: 700px; width: 600px;">
      <table
        id="example"
        class="table table-striped table-bordered"
        cellspacing="0"
        width="500%"
      >
        <thead>
          <tr>
            <th>Distanta</th>
            <th>Diamentru</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="data in date" :key="data.id">
            <td>{{ data.distanta }}</td>
            <td>{{ data.diametru }}</td>
          </tr>
        </tbody>
      </table>
    </div>
    <hr />
  </div>
</template>

<script>
import axios from "axios";

export default {
  data() {
    return {
      date: null
    };
  },
  mounted() {
    axios
      .get("http://127.0.0.1:8002/api/date_tehnices.json")
      .then(el => (this.date = el.data))
      .catch(err => console.error(err));
  }
};
</script>

<style lang="scss">
@import "../scss/app.scss";
@import "../scss/contact.scss";
@import "../scss/divider-text-middle.scss";
@import "../scss/features-clean.scss";
@import "../scss/footer.scss";
@import "../scss/home-page.scss";
@import "../scss/lightbox-gallery.scss";
@import "../scss/navigation.scss";
@import "../scss/text-box.scss";
</style>
